Bug 11852 - winbindd does not reuse sealed ldap connections (regression)
winbindd does not reuse sealed ldap connections (regression)
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.4.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-18 20:07 UTC by Uri Simchoni
Modified: 2016-04-28 09:38 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.4.next, 4.3.next, 4.2.next (1.89 KB, patch)
2016-04-19 17:26 UTC, Uri Simchoni
uri: review? (abartlet)
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-04-18 20:07:37 UTC
This is a regression of https://bugzilla.samba.org/show_bug.cgi?id=11267.

With the move to gensec-based sasl/spnego/gssapi/kerberos, libads needs to be told what is the expiry time of the session, or the session is considered as expired immediately.
Comment 1 Uri Simchoni 2016-04-19 17:26:12 UTC
Created attachment 12009 [details]
git-am fix for 4.4.next, 4.3.next, 4.2.next

(I know 4.2.x is security patches only and this is a functional patch, however the bug was introduced by the recent security fix, so IMHO it should go into 4.2.x, if there's going to be a next version)
Comment 2 Jeremy Allison 2016-04-25 23:10:44 UTC
Comment on attachment 12009 [details]
git-am fix for 4.4.next, 4.3.next, 4.2.next

Andrew, can we get a +1 on this please so it can go into the release branches ?

Alternatively Uri, I'm happy to give my +1 on this :-). Cheers, Jeremy.
Comment 3 Uri Simchoni 2016-04-26 06:18:53 UTC
Yeah, sure, sorry - 'been tied up with things and completely forgot about this one.
I think we're good to go since we have Jeremy's review+ - assigning to Karolin for 4.4.next, 4.3.next and, 4.2.next too - since it's a regression due to a security fix.
Thanks!
Uri.
Comment 4 Karolin Seeger 2016-04-26 09:19:25 UTC
Pushed to autobuild-v4-[4|3|2]-test.
Comment 5 Karolin Seeger 2016-04-28 09:38:31 UTC
Pushed to all branches.
Closing out bug report.

Thanks!